package gov.va.med.esr.mvc.model;
import gov.va.med.esr.service.external.person.EESummary;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlSchema;

@XmlRootElement(
		name = "getPersonNotificationResponse", 
		namespace = "http://jaxws.webservices.esr.med.DNS   /schemas"
			)
@XmlAccessorType(XmlAccessType.FIELD)
public class PersonNotificationModel extends AbstractServiceDataWrapperImpl{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3987219326061123414L;
	private String eesVersion;
    // Added for echoing the request.
    private String acknowledgement;
    private EESummary pnstatus;

    
    @Override
    public Object getServiceData() {
        return getPnstatus();
    }
    @Override
    public void setServiceData(Object serviceData) {
        setSummary((EESummary) serviceData);
    }
    public void setSummary(EESummary pnstatus) {
        this.pnstatus = pnstatus;
    }
	
	public EESummary getPnstatus() {
		return pnstatus;
	}
	public void setPnstatus(EESummary pnstatus) {
		this.pnstatus = pnstatus;
	}
	public String getEesVersion() {
		return eesVersion;
	}
	public void setEesVersion(String eesVersion) {
		this.eesVersion = eesVersion;
	}
	public String getAcknowledgement() {
		return acknowledgement;
	}
	public void setAcknowledgement(String acknowledgement) {
		this.acknowledgement = acknowledgement;
	}
}
